using System;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace SIS.Infrastructure
{
    public static class Helper
    {
        /// <summary>
        /// Serializes the specified daten.
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="daten">The daten.</param>
        /// <returns></returns>
        public static byte[] Serialize<T>(T daten)
        {
            try
            {
                byte[] bytes;
                var bf = new BinaryFormatter();
                using (var ms = new MemoryStream())
                {
                    bf.Serialize(ms, daten);
                    ms.Seek(0, SeekOrigin.Begin);

                    bytes = new byte[ms.Length];

                    ms.Read(bytes, 0, bytes.Length);

                }

                return bytes;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        /// <summary>
        /// Deserializes the specified bytes.
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="bytes">The bytes.</param>
        /// <returns></returns>
        public static T Deserialize<T>(byte[] bytes)
        {
            try
            {
                T daten;

                var bf = new BinaryFormatter();
                using (var ms = new MemoryStream(bytes))
                {
                    daten = (T)bf.Deserialize(ms);
                }

                return daten;

            }
            catch (Exception ex)
            {

                throw ex;
            }
        }
        
    }
}