using System;
using System.Configuration;
using SIS.Contracts.ConfigRepository;

namespace SIS.ConfigRepository
{
    public class AppConfigRepository: IConfigRepository
    {
        private readonly System.Configuration.AppSettingsReader _appSettingsReader;

        private const string PERSONS_FILE_PATH = "PERSONS_FILE_PATH";
        private const string PICTURE_FILE_PATH = "PICTURE_FILE_PATH";

        public AppConfigRepository()
        {
            _appSettingsReader = new AppSettingsReader();

        }

        /// <summary>
        /// Gets the persons file path.
        /// </summary>
        /// <value>The persons file path.</value>
        public string PersonsFilePath
        {
            get
            {
                return (string)_appSettingsReader.GetValue(PERSONS_FILE_PATH, typeof(string));
            }
        }

        /// <summary>
        /// Gets the picture file path.
        /// </summary>
        /// <value>The picture file path.</value>
        public string PictureFilePath
        {
            get
            {
                return (string)_appSettingsReader.GetValue(PICTURE_FILE_PATH, typeof(string));
            }
        }
    }
}