using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Rhino.Mocks;
using SIS.Contracts.PersonDetailsModul;

namespace SIS.PersonDetailsModul.UnitTests
{
    [TestClass]
    public class PersonDetailsModulFixture
    {
        
        [TestMethod]
        public void Initialize_validView_RegionAddCalled()
        {
            //arrange
            var container = new UnityContainer();
            var controller = MockRepository.GenerateStub<IPersonDetailsController>();
            container.RegisterInstance<IPersonDetailsController>(controller);

            var view = MockRepository.GenerateStub<IPersonDetailsView>();

            controller.Stub(x => x.View).Return(view).Repeat.Any();

            var rm = MockRepository.GenerateStub<IRegionManager>();
            var r = MockRepository.GenerateMock<IRegion>();
            var rc = MockRepository.GenerateStub<IRegionCollection>();
            rm.Stub(x => x.Regions).Return(rc).Repeat.Any();

            rc.Stub(x => x[SIS.Infrastructure.RegionNames.DETAIL_REGION]).Return(r).Repeat.Any();

            r.Expect(x => x.Add(view)).Return(null);

            //act
            PersonDetailsModul modul = new PersonDetailsModul( container, rm);

            modul.Initialize();

            //assert

            r.VerifyAllExpectations();








           



         
   
        }
    }
}