using Microsoft.VisualStudio.TestTools.UnitTesting;
using Rhino.Mocks;
using Microsoft.Practices.Composite.Events;

namespace SIS.PersonDetailsModul.UnitTests
{
    [TestClass]
    public class PersonDetailsViewModelFixture
    {
        [TestMethod]
        public void ctor_validEA_SubsribeCall()
        {
            var eventAggregator = MockRepository.GenerateStub<IEventAggregator>();

            var personSelectionChangedEvent = MockRepository.GenerateMock<SIS.Infrastructure.PersonSelectionChangedEvent>();


            eventAggregator.Stub(x => x.GetEvent<SIS.Infrastructure.PersonSelectionChangedEvent>()).Return(
               personSelectionChangedEvent);

            personSelectionChangedEvent.Expect(x => x.Subscribe(null)).IgnoreArguments().Return(null);

            var vm = new PersonDetailsViewModel(eventAggregator);

           personSelectionChangedEvent.VerifyAllExpectations();


            
        }


    }
}