using System;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using SIS.Contracts.PersonDetailsModul;

namespace SIS.PersonDetailsModul
{
    public class PersonDetailsModul : IPersonDetailsModul
    {
        private readonly IUnityContainer _container;
        private readonly IRegionManager _regionManager;

        public PersonDetailsModul(IUnityContainer container, IRegionManager regionManager)
        {
            _container = container;
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            var controller = _container.Resolve<IPersonDetailsController>();
            controller.Run();

            var view = controller.View;

            _regionManager.Regions[SIS.Infrastructure.RegionNames.DETAIL_REGION].Add(view);
            
        }
    }
}