﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Practices.Composite.Events;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace SIS.PersonListModul.UnitTest
{
    /// <summary>
    /// Summary description for PersonListViewModelTest
    /// </summary>
    [TestClass]
    public class PersonListViewModelTest
    {
        public PersonListViewModelTest()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        private PersonServiceFake _service;
        private PersonListViewModel _viewModel;
        private EventAggregator _eventAggregator;

        [TestInitialize()]
        public void Startup()
        {
            _eventAggregator = new EventAggregator();
            _service = new PersonServiceFake();
            _viewModel = new PersonListViewModel(_service, _eventAggregator);
        }

        [TestMethod]
        public void ExecuteGetPersonCommand()
        {

            var command = _viewModel.GetPersonsCommand;
            command.Execute(null);

            var personsCollection = _viewModel.PersonsCollection;

            Assert.IsNotNull(personsCollection);

            Assert.IsTrue(personsCollection.Count > 0);

        }

    }
}
