using System;
using System.ComponentModel;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using SIS.Contracts.PersonListModul;

namespace SIS.PersonListModul
{
    public class PersonListModul: IPersonListModul 
    {
        private readonly IUnityContainer _container;
        private readonly IRegionManager _regionManager;

        public PersonListModul(IUnityContainer container, IRegionManager regionManager)
        {
            _container = container;
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            var controller = _container.Resolve<SIS.Contracts.PersonListModul.IPersonListController>();
            controller.Run();

            _regionManager.Regions[SIS.Infrastructure.RegionNames.LIST_REGION].Add( controller.View );
        }
    }
}