using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Rhino.Mocks;
using SIS.Contracts.PersonRepository;
using SIS.Model;

namespace SIS.PersonService.UnitTest
{
    [TestClass]
    public class PersonServiceFixture
    {
        
        [TestMethod]
        public void GetPerson_validRepository_ListOfPersonNotNull()
        {
            MockRepository repository = new MockRepository();

            var pr = repository.Stub<IPersonRepository>();

            var service = new MyPersonService(pr);

            using( repository.Record())
            {
                pr.Stub(x => x.GetPersons()).Return(new List<Person>() {new Person()}.AsQueryable());
            }

            using( repository.Playback())
            {

                var persons = service.GetPersons();
                Assert.IsTrue( persons.Count > 0);
                
            }

        }

        [TestMethod]
        public void GetPerson_validRepository_ListOfPersonNotNull_AAA()
        {
            //arrange
            var personRepository = MockRepository.GenerateStub<IPersonRepository>();
            personRepository.Stub(x => x.GetPersons()).Return(new List<Person>() {new Person()}.AsQueryable());
            var personService = new MyPersonService(personRepository);
            
            //act
            var persons = personService.GetPersons();

            //assert
            Assert.IsTrue( persons.Count > 0);



        }
    }
}