﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using SIS.Contracts.PersonRepository;
using SIS.Model;

namespace SIS.PersonService.UnitTest
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass]
    public class PersonServiceTest
    {
        private PersonRepositoryFake _personRepository;

        [TestInitialize()]
        public void Startup()
        {
            _personRepository = new PersonRepositoryFake();
        }


        [TestMethod]
        public void PersonServiceCanGetPersonsFromService()
        {
            var personService = new MyPersonService(_personRepository);
            var list = personService.GetPersons();
            
            Assert.IsTrue( list.Count > 0);
        }

        [TestMethod]
        public void PersonServiceCanGetPersonFromServiceById()
        {
            var personService = new MyPersonService(_personRepository);
            var person = personService.GetPersonById("5");

            Assert.IsNotNull(person);
            Assert.IsTrue(person.Id == "5");

        }

    }
}
