using System;
using System.Collections.Generic;
using System.Linq;
using SIS.Contracts.PersonRepository;
using SIS.Contracts.PersonService;
using SIS.Model;

namespace SIS.PersonService
{
    public class MyPersonService: IPersonService
    {
        private readonly IPersonRepository _personRepository;

        public MyPersonService(IPersonRepository personRepository)
        {
            _personRepository = personRepository;
        }

        /// <summary>
        /// Gets the persons.
        /// </summary>
        /// <returns></returns>
        public List<Person> GetPersons()
        {
            try
            {
                return _personRepository.GetPersons().ToList();

            }
            catch (Exception)
            {
                
                throw;
            }
        }

        /// <summary>
        /// Gets the person by id.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <returns></returns>
        public Person GetPersonById(string id)
        {
            try
            {
                var q =  from p in _personRepository.GetPersons()
                       where p.Id == id
                       select p;

                return q.FirstOrDefault();

                
            }
            catch (Exception)
            {
                
                throw;
            }
        }
    }
}